IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[P_EST_COMPRADOR_GRUPO_APLICAR_CPL]') AND type in (N'P', N'PC'))
DROP PROCEDURE [dbo].P_EST_COMPRADOR_GRUPO_APLICAR_CPL
GO

CREATE PROCEDURE P_EST_COMPRADOR_GRUPO_APLICAR_CPL
AS 
begin 
DELETE FROM EST_COMPRADOR_GRUPO_APLICAR_CPL
DELETE FROM EST_COMPRADOR_GRUPO_APLICAR

INSERT INTO EST_COMPRADOR_GRUPO_APLICAR
(CD_USU,
DT_CAD,
HISTORICO)
SELECT
1,
GETDATE(),
'CARGA INICIAL DE COMPRADOR POR PRODUTO'

INSERT INTO EST_COMPRADOR_GRUPO_APLICAR_CPL
(CD_CTR,
CD_EMP,
CD_PROD,
CD_COMPRADOR)
SELECT       
	IDENT_CURRENT('EST_COMPRADOR_GRUPO_APLICAR'),
	EST_PROD.CD_EMP, 
	EST_PROD.CD_PROD, 
	EST_PROD_FABRIC.CD_COMPRADOR
FROM            
	EST_PROD INNER JOIN EST_PROD_FABRIC ON
	EST_PROD.CD_FABRIC = EST_PROD_FABRIC.CD_FABRIC
end 

EXEC P_EST_COMPRADOR_GRUPO_APLICAR	


/*
TRUNCATE TABLE EST_NF_ENT_IT_COMPRADOR
GO
INSERT INTO EST_NF_ENT_IT_COMPRADOR
(CD_EMP,
CD_FILIAL,
CD_NF,
CD_PROD,
CD_COMPRADOR,
DT_CAD)
select
	EST_NF_ENT_IT.CD_EMP,
	EST_NF_ENT_IT.CD_FILIAL,
	EST_NF_ENT_IT.CD_NF,
	EST_NF_ENT_IT.CD_PROD,
	CD_COMPRADOR,
	GETDATE()
from
EST_NF_ENT_IT INNER JOIN EST_PROD_COMPRADOR_CPL on
EST_NF_ENT_IT.CD_EMP = EST_PROD_COMPRADOR_CPL.CD_EMP AND
EST_NF_ENT_IT.CD_PROD = EST_PROD_COMPRADOR_CPL.CD_PROD 
INNER JOIN EST_PROD_COMPRADOR on
EST_PROD_COMPRADOR_CPL.CD_CTR = EST_PROD_COMPRADOR.CD_CTR

TRUNCATE TABLE EST_PED_CP_IT_COMPRADOR
GO
INSERT INTO EST_PED_CP_IT_COMPRADOR
(CD_EMP,
CD_FILIAL,
CD_PED,
CD_PROD,
CD_COMPRADOR,
DT_CAD)
select
	EST_PED_CP_IT.CD_EMP,
	EST_PED_CP_IT.CD_FILIAL,
	EST_PED_CP_IT.CD_PED,
	EST_PED_CP_IT.CD_PROD,
	CD_COMPRADOR,
	GETDATE()
from
EST_PED_CP_IT INNER JOIN EST_PROD_COMPRADOR_CPL on
EST_PED_CP_IT.CD_EMP = EST_PROD_COMPRADOR_CPL.CD_EMP AND
EST_PED_CP_IT.CD_PROD = EST_PROD_COMPRADOR_CPL.CD_PROD 
INNER JOIN EST_PROD_COMPRADOR on
EST_PROD_COMPRADOR_CPL.CD_CTR = EST_PROD_COMPRADOR.CD_CTR

TRUNCATE TABLE PG_CRED_PROC_PENDENCIA
GO
INSERT INTO PG_CRED_PROC_PENDENCIA
SELECT	
	CD_EMP,
	CD_FILIAL,
	CD_PG_CRED,
	GETDATE(),
	STS_DP
FROM
	PG_CRED
WHERE
    STS_DP <>3
*/